- initial import of revision 374 from cnc
[apt.git] / Makefile.in
1 # Makefile.in generated by automake 1.9.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 srcdir = @srcdir@
17 top_srcdir = @top_srcdir@
18 VPATH = @srcdir@
19 pkgdatadir = $(datadir)/@PACKAGE@
20 pkglibdir = $(libdir)/@PACKAGE@
21 pkgincludedir = $(includedir)/@PACKAGE@
22 top_builddir = .
23 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24 INSTALL = @INSTALL@
25 install_sh_DATA = $(install_sh) -c -m 644
26 install_sh_PROGRAM = $(install_sh) -c
27 install_sh_SCRIPT = $(install_sh) -c
28 INSTALL_HEADER = $(INSTALL_DATA)
29 transform = $(program_transform_name)
30 NORMAL_INSTALL = :
31 PRE_INSTALL = :
32 POST_INSTALL = :
33 NORMAL_UNINSTALL = :
34 PRE_UNINSTALL = :
35 POST_UNINSTALL = :
36 build_triplet = @build@
37 host_triplet = @host@
38 subdir = .
39 DIST_COMMON = $(am__configure_deps) $(srcdir)/Makefile.am \
40         $(srcdir)/Makefile.in $(top_srcdir)/buildlib/config.h.in \
41         $(top_srcdir)/configure $(top_srcdir)/intl/Makefile.in \
42         ABOUT-NLS AUTHORS COPYING TODO
43 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44 am__aclocal_m4_deps = $(top_srcdir)/configure.in
45 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46         $(ACLOCAL_M4)
47 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
48  configure.lineno configure.status.lineno
49 mkinstalldirs = $(SHELL) $(top_srcdir)/buildlib/mkinstalldirs
50 CONFIG_HEADER = $(top_builddir)/include/config.h
51 CONFIG_CLEAN_FILES = intl/Makefile
52 SOURCES =
53 DIST_SOURCES =
54 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
55         html-recursive info-recursive install-data-recursive \
56         install-exec-recursive install-info-recursive \
57         install-recursive installcheck-recursive installdirs-recursive \
58         pdf-recursive ps-recursive uninstall-info-recursive \
59         uninstall-recursive
60 ETAGS = etags
61 CTAGS = ctags
62 DIST_SUBDIRS = $(SUBDIRS)
63 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
64 distdir = $(PACKAGE)-$(VERSION)
65 top_distdir = $(distdir)
66 am__remove_distdir = \
67   { test ! -d $(distdir) \
68     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
69          && rm -fr $(distdir); }; }
70 DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
71 GZIP_ENV = --best
72 distuninstallcheck_listfiles = find . -type f -print
73 distcleancheck_listfiles = find . -type f -print
74 ACLOCAL = @ACLOCAL@
75 ALLOCA = @ALLOCA@
76 AMDEP_FALSE = @AMDEP_FALSE@
77 AMDEP_TRUE = @AMDEP_TRUE@
78 AMTAR = @AMTAR@
79 AR = @AR@
80 AUTOCONF = @AUTOCONF@
81 AUTOHEADER = @AUTOHEADER@
82 AUTOMAKE = @AUTOMAKE@
83 AWK = @AWK@
84 BUILD_INCLUDED_LIBINTL = @BUILD_INCLUDED_LIBINTL@
85 CATOBJEXT = @CATOBJEXT@
86 CC = @CC@
87 CCDEPMODE = @CCDEPMODE@
88 CFLAGS = @CFLAGS@
89 COMPILE_APTSHELL_FALSE = @COMPILE_APTSHELL_FALSE@
90 COMPILE_APTSHELL_TRUE = @COMPILE_APTSHELL_TRUE@
91 COMPILE_MANPAGES_FALSE = @COMPILE_MANPAGES_FALSE@
92 COMPILE_MANPAGES_TRUE = @COMPILE_MANPAGES_TRUE@
93 COMPILE_STATIC_FALSE = @COMPILE_STATIC_FALSE@
94 COMPILE_STATIC_TRUE = @COMPILE_STATIC_TRUE@
95 CPP = @CPP@
96 CPPFLAGS = @CPPFLAGS@
97 CXX = @CXX@
98 CXXCPP = @CXXCPP@
99 CXXDEPMODE = @CXXDEPMODE@
100 CXXFLAGS = @CXXFLAGS@
101 CYGPATH_W = @CYGPATH_W@
102 DATADIRNAME = @DATADIRNAME@
103 DEFS = @DEFS@
104 DEPDIR = @DEPDIR@
105 DOCBOOK2MAN = @DOCBOOK2MAN@
106 ECHO = @ECHO@
107 ECHO_C = @ECHO_C@
108 ECHO_N = @ECHO_N@
109 ECHO_T = @ECHO_T@
110 EGREP = @EGREP@
111 EXEEXT = @EXEEXT@
112 F77 = @F77@
113 FFLAGS = @FFLAGS@
114 GENCAT = @GENCAT@
115 GLIBC21 = @GLIBC21@
116 GMSGFMT = @GMSGFMT@
117 HAVE_ASPRINTF = @HAVE_ASPRINTF@
118 HAVE_POSIX_PRINTF = @HAVE_POSIX_PRINTF@
119 HAVE_SNPRINTF = @HAVE_SNPRINTF@
120 HAVE_TIMEGM = @HAVE_TIMEGM@
121 HAVE_WPRINTF = @HAVE_WPRINTF@
122 INSTALL_DATA = @INSTALL_DATA@
123 INSTALL_PROGRAM = @INSTALL_PROGRAM@
124 INSTALL_SCRIPT = @INSTALL_SCRIPT@
125 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
126 INSTOBJEXT = @INSTOBJEXT@
127 INTLBISON = @INTLBISON@
128 INTLLIBS = @INTLLIBS@
129 INTLOBJS = @INTLOBJS@
130 INTL_LIBTOOL_SUFFIX_PREFIX = @INTL_LIBTOOL_SUFFIX_PREFIX@
131 LDFLAGS = @LDFLAGS@
132 LIBICONV = @LIBICONV@
133 LIBINTL = @LIBINTL@
134 LIBOBJS = @LIBOBJS@
135 LIBS = @LIBS@
136 LIBTOOL = @LIBTOOL@
137 LN_S = @LN_S@
138 LTLIBICONV = @LTLIBICONV@
139 LTLIBINTL = @LTLIBINTL@
140 LTLIBOBJS = @LTLIBOBJS@
141 MAINT = @MAINT@
142 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
143 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
144 MAKEINFO = @MAKEINFO@
145 MKINSTALLDIRS = @MKINSTALLDIRS@
146 MSGFMT = @MSGFMT@
147 MSGMERGE = @MSGMERGE@
148 NEED_INTTYPES_H_FALSE = @NEED_INTTYPES_H_FALSE@
149 NEED_INTTYPES_H_TRUE = @NEED_INTTYPES_H_TRUE@
150 NEED_NETDB_H_FALSE = @NEED_NETDB_H_FALSE@
151 NEED_NETDB_H_TRUE = @NEED_NETDB_H_TRUE@
152 NEED_SOCKLEN_T_DEFINE = @NEED_SOCKLEN_T_DEFINE@
153 NEED_STATVFS_H_FALSE = @NEED_STATVFS_H_FALSE@
154 NEED_STATVFS_H_TRUE = @NEED_STATVFS_H_TRUE@
155 OBJEXT = @OBJEXT@
156 PACKAGE = @PACKAGE@
157 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
158 PACKAGE_NAME = @PACKAGE_NAME@
159 PACKAGE_STRING = @PACKAGE_STRING@
160 PACKAGE_TARNAME = @PACKAGE_TARNAME@
161 PACKAGE_VERSION = @PACKAGE_VERSION@
162 PATH_SEPARATOR = @PATH_SEPARATOR@
163 POSUB = @POSUB@
164 PTHREADLIB = @PTHREADLIB@
165 RANLIB = @RANLIB@
166 RPMLIBS = @RPMLIBS@
167 RPM_PATH = @RPM_PATH@
168 SET_MAKE = @SET_MAKE@
169 SHELL = @SHELL@
170 SOCKETLIBS = @SOCKETLIBS@
171 STRIP = @STRIP@
172 USE_INCLUDED_LIBINTL = @USE_INCLUDED_LIBINTL@
173 USE_NLS = @USE_NLS@
174 VERSION = @VERSION@
175 WITH_LUA_FALSE = @WITH_LUA_FALSE@
176 WITH_LUA_TRUE = @WITH_LUA_TRUE@
177 XGETTEXT = @XGETTEXT@
178 ac_ct_AR = @ac_ct_AR@
179 ac_ct_CC = @ac_ct_CC@
180 ac_ct_CXX = @ac_ct_CXX@
181 ac_ct_F77 = @ac_ct_F77@
182 ac_ct_RANLIB = @ac_ct_RANLIB@
183 ac_ct_STRIP = @ac_ct_STRIP@
184 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
185 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
186 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
187 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
188 am__include = @am__include@
189 am__leading_dot = @am__leading_dot@
190 am__quote = @am__quote@
191 am__tar = @am__tar@
192 am__untar = @am__untar@
193 bindir = @bindir@
194 build = @build@
195 build_alias = @build_alias@
196 build_cpu = @build_cpu@
197 build_os = @build_os@
198 build_vendor = @build_vendor@
199 datadir = @datadir@
200 exec_prefix = @exec_prefix@
201 host = @host@
202 host_alias = @host_alias@
203 host_cpu = @host_cpu@
204 host_os = @host_os@
205 host_vendor = @host_vendor@
206 includedir = @includedir@
207 infodir = @infodir@
208 install_sh = @install_sh@
209 libdir = @libdir@
210 libexecdir = @libexecdir@
211 localstatedir = @localstatedir@
212 mandir = @mandir@
213 mkdir_p = @mkdir_p@
214 oldincludedir = @oldincludedir@
215 prefix = @prefix@
216 program_transform_name = @program_transform_name@
217 sbindir = @sbindir@
218 sharedstatedir = @sharedstatedir@
219 sysconfdir = @sysconfdir@
220 target_alias = @target_alias@
221 SUBDIRS = buildlib intl lua apt-pkg methods cmdline tools doc m4 po
222 ACLOCAL_AMFLAGS = -I m4 -I buildlib
223 EXTRA_DIST = \
224                 AUTHORS.RPM \
225                 COPYING.GPL \
226                 rpmpriorities \
227                 test/conf.cc \
228                 test/extract-control.cc \
229                 test/hash.cc \
230                 test/makefile \
231                 test/mthdcat.cc \
232                 test/rpmver.cc \
233                 test/scratch.cc \
234                 test/testdeb.cc \
235                 test/testextract.cc \
236                 test/uri.cc \
237                 test/versions.lst \
238                 test/versiontest.cc \
239                 python/apt.i \
240                 python/apt.py \
241                 python/apt_wrap.cxx \
242                 python/Makefile \
243                 python/swig-1.3.16-cxx.patch \
244                 contrib/apt-rpm/apt-rpm \
245                 contrib/apt-rpm/apt-rpm.1 \
246                 contrib/apt-files/README \
247                 contrib/apt-files/apt-files.lua \
248                 contrib/apt-files/apt-files.conf \
249                 contrib/apt-files/convert.py \
250                 contrib/install-devel/README \
251                 contrib/install-devel/install-devel.lua \
252                 contrib/apt-groupinstall/README \
253                 contrib/apt-groupinstall/apt-groupinstall.lua \
254                 contrib/apt-groupinstall/apt-groupinstall.py \
255                 contrib/apt-groupinstall/apt-groupinstall.conf \
256                 contrib/proxypasswd/README \
257                 contrib/proxypasswd/proxypasswd.lua
258
259 all: all-recursive
260
261 .SUFFIXES:
262 am--refresh:
263         @:
264 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
265         @for dep in $?; do \
266           case '$(am__configure_deps)' in \
267             *$$dep*) \
268               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
269               cd $(srcdir) && $(AUTOMAKE) --foreign  \
270                 && exit 0; \
271               exit 1;; \
272           esac; \
273         done; \
274         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
275         cd $(top_srcdir) && \
276           $(AUTOMAKE) --foreign  Makefile
277 .PRECIOUS: Makefile
278 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
279         @case '$?' in \
280           *config.status*) \
281             echo ' $(SHELL) ./config.status'; \
282             $(SHELL) ./config.status;; \
283           *) \
284             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
285             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
286         esac;
287
288 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
289         $(SHELL) ./config.status --recheck
290
291 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
292         cd $(srcdir) && $(AUTOCONF)
293 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
294         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
295
296 include/config.h: include/stamp-h1
297         @if test ! -f $@; then \
298           rm -f include/stamp-h1; \
299           $(MAKE) include/stamp-h1; \
300         else :; fi
301
302 include/stamp-h1: $(top_srcdir)/buildlib/config.h.in $(top_builddir)/config.status
303         @rm -f include/stamp-h1
304         cd $(top_builddir) && $(SHELL) ./config.status include/config.h
305 $(top_srcdir)/buildlib/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
306         cd $(top_srcdir) && $(AUTOHEADER)
307         rm -f include/stamp-h1
308         touch $@
309
310 distclean-hdr:
311         -rm -f include/config.h include/stamp-h1
312 intl/Makefile: $(top_builddir)/config.status $(top_srcdir)/intl/Makefile.in
313         cd $(top_builddir) && $(SHELL) ./config.status $@
314
315 mostlyclean-libtool:
316         -rm -f *.lo
317
318 clean-libtool:
319         -rm -rf .libs _libs
320
321 distclean-libtool:
322         -rm -f libtool
323 uninstall-info-am:
324
325 # This directory's subdirectories are mostly independent; you can cd
326 # into them and run `make' without going through this Makefile.
327 # To change the values of `make' variables: instead of editing Makefiles,
328 # (1) if the variable is set in `config.status', edit `config.status'
329 #     (which will cause the Makefiles to be regenerated when you run `make');
330 # (2) otherwise, pass the desired values on the `make' command line.
331 $(RECURSIVE_TARGETS):
332         @set fnord $$MAKEFLAGS; amf=$$2; \
333         dot_seen=no; \
334         target=`echo $@ | sed s/-recursive//`; \
335         list='$(SUBDIRS)'; for subdir in $$list; do \
336           echo "Making $$target in $$subdir"; \
337           if test "$$subdir" = "."; then \
338             dot_seen=yes; \
339             local_target="$$target-am"; \
340           else \
341             local_target="$$target"; \
342           fi; \
343           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
344            || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
345         done; \
346         if test "$$dot_seen" = "no"; then \
347           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
348         fi; test -z "$$fail"
349
350 mostlyclean-recursive clean-recursive distclean-recursive \
351 maintainer-clean-recursive:
352         @set fnord $$MAKEFLAGS; amf=$$2; \
353         dot_seen=no; \
354         case "$@" in \
355           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
356           *) list='$(SUBDIRS)' ;; \
357         esac; \
358         rev=''; for subdir in $$list; do \
359           if test "$$subdir" = "."; then :; else \
360             rev="$$subdir $$rev"; \
361           fi; \
362         done; \
363         rev="$$rev ."; \
364         target=`echo $@ | sed s/-recursive//`; \
365         for subdir in $$rev; do \
366           echo "Making $$target in $$subdir"; \
367           if test "$$subdir" = "."; then \
368             local_target="$$target-am"; \
369           else \
370             local_target="$$target"; \
371           fi; \
372           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
373            || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
374         done && test -z "$$fail"
375 tags-recursive:
376         list='$(SUBDIRS)'; for subdir in $$list; do \
377           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
378         done
379 ctags-recursive:
380         list='$(SUBDIRS)'; for subdir in $$list; do \
381           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
382         done
383
384 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
385         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
386         unique=`for i in $$list; do \
387             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
388           done | \
389           $(AWK) '    { files[$$0] = 1; } \
390                END { for (i in files) print i; }'`; \
391         mkid -fID $$unique
392 tags: TAGS
393
394 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
395                 $(TAGS_FILES) $(LISP)
396         tags=; \
397         here=`pwd`; \
398         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
399           include_option=--etags-include; \
400           empty_fix=.; \
401         else \
402           include_option=--include; \
403           empty_fix=; \
404         fi; \
405         list='$(SUBDIRS)'; for subdir in $$list; do \
406           if test "$$subdir" = .; then :; else \
407             test ! -f $$subdir/TAGS || \
408               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
409           fi; \
410         done; \
411         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
412         unique=`for i in $$list; do \
413             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
414           done | \
415           $(AWK) '    { files[$$0] = 1; } \
416                END { for (i in files) print i; }'`; \
417         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
418           test -n "$$unique" || unique=$$empty_fix; \
419           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
420             $$tags $$unique; \
421         fi
422 ctags: CTAGS
423 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
424                 $(TAGS_FILES) $(LISP)
425         tags=; \
426         here=`pwd`; \
427         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
428         unique=`for i in $$list; do \
429             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
430           done | \
431           $(AWK) '    { files[$$0] = 1; } \
432                END { for (i in files) print i; }'`; \
433         test -z "$(CTAGS_ARGS)$$tags$$unique" \
434           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
435              $$tags $$unique
436
437 GTAGS:
438         here=`$(am__cd) $(top_builddir) && pwd` \
439           && cd $(top_srcdir) \
440           && gtags -i $(GTAGS_ARGS) $$here
441
442 distclean-tags:
443         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
444
445 distdir: $(DISTFILES)
446         $(am__remove_distdir)
447         mkdir $(distdir)
448         $(mkdir_p) $(distdir)/buildlib $(distdir)/contrib/apt-files $(distdir)/contrib/apt-groupinstall $(distdir)/contrib/apt-rpm $(distdir)/contrib/install-devel $(distdir)/contrib/proxypasswd $(distdir)/intl $(distdir)/po $(distdir)/python $(distdir)/test
449         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
450         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
451         list='$(DISTFILES)'; for file in $$list; do \
452           case $$file in \
453             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
454             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
455           esac; \
456           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
457           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
458           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
459             dir="/$$dir"; \
460             $(mkdir_p) "$(distdir)$$dir"; \
461           else \
462             dir=''; \
463           fi; \
464           if test -d $$d/$$file; then \
465             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
466               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
467             fi; \
468             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
469           else \
470             test -f $(distdir)/$$file \
471             || cp -p $$d/$$file $(distdir)/$$file \
472             || exit 1; \
473           fi; \
474         done
475         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
476           if test "$$subdir" = .; then :; else \
477             test -d "$(distdir)/$$subdir" \
478             || $(mkdir_p) "$(distdir)/$$subdir" \
479             || exit 1; \
480             distdir=`$(am__cd) $(distdir) && pwd`; \
481             top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
482             (cd $$subdir && \
483               $(MAKE) $(AM_MAKEFLAGS) \
484                 top_distdir="$$top_distdir" \
485                 distdir="$$distdir/$$subdir" \
486                 distdir) \
487               || exit 1; \
488           fi; \
489         done
490         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
491           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
492           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
493           ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
494         || chmod -R a+r $(distdir)
495 dist-gzip: distdir
496         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
497         $(am__remove_distdir)
498 dist-bzip2: distdir
499         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
500         $(am__remove_distdir)
501
502 dist-tarZ: distdir
503         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
504         $(am__remove_distdir)
505
506 dist-shar: distdir
507         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
508         $(am__remove_distdir)
509
510 dist-zip: distdir
511         -rm -f $(distdir).zip
512         zip -rq $(distdir).zip $(distdir)
513         $(am__remove_distdir)
514
515 dist dist-all: distdir
516         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
517         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
518         $(am__remove_distdir)
519
520 # This target untars the dist file and tries a VPATH configuration.  Then
521 # it guarantees that the distribution is self-contained by making another
522 # tarfile.
523 distcheck: dist
524         case '$(DIST_ARCHIVES)' in \
525         *.tar.gz*) \
526           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
527         *.tar.bz2*) \
528           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
529         *.tar.Z*) \
530           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
531         *.shar.gz*) \
532           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
533         *.zip*) \
534           unzip $(distdir).zip ;;\
535         esac
536         chmod -R a-w $(distdir); chmod a+w $(distdir)
537         mkdir $(distdir)/_build
538         mkdir $(distdir)/_inst
539         chmod a-w $(distdir)
540         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
541           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
542           && cd $(distdir)/_build \
543           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
544             --with-included-gettext \
545             $(DISTCHECK_CONFIGURE_FLAGS) \
546           && $(MAKE) $(AM_MAKEFLAGS) \
547           && $(MAKE) $(AM_MAKEFLAGS) dvi \
548           && $(MAKE) $(AM_MAKEFLAGS) check \
549           && $(MAKE) $(AM_MAKEFLAGS) install \
550           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
551           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
552           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
553                 distuninstallcheck \
554           && chmod -R a-w "$$dc_install_base" \
555           && ({ \
556                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
557                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
558                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
559                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
560                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
561               } || { rm -rf "$$dc_destdir"; exit 1; }) \
562           && rm -rf "$$dc_destdir" \
563           && $(MAKE) $(AM_MAKEFLAGS) dist \
564           && rm -rf $(DIST_ARCHIVES) \
565           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
566         $(am__remove_distdir)
567         @(echo "$(distdir) archives ready for distribution: "; \
568           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
569           sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
570 distuninstallcheck:
571         @cd $(distuninstallcheck_dir) \
572         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
573            || { echo "ERROR: files left after uninstall:" ; \
574                 if test -n "$(DESTDIR)"; then \
575                   echo "  (check DESTDIR support)"; \
576                 fi ; \
577                 $(distuninstallcheck_listfiles) ; \
578                 exit 1; } >&2
579 distcleancheck: distclean
580         @if test '$(srcdir)' = . ; then \
581           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
582           exit 1 ; \
583         fi
584         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
585           || { echo "ERROR: files left in build directory after distclean:" ; \
586                $(distcleancheck_listfiles) ; \
587                exit 1; } >&2
588 check-am: all-am
589 check: check-recursive
590 all-am: Makefile
591 installdirs: installdirs-recursive
592 installdirs-am:
593 install: install-recursive
594 install-exec: install-exec-recursive
595 install-data: install-data-recursive
596 uninstall: uninstall-recursive
597
598 install-am: all-am
599         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
600
601 installcheck: installcheck-recursive
602 install-strip:
603         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
604           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
605           `test -z '$(STRIP)' || \
606             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
607 mostlyclean-generic:
608
609 clean-generic:
610
611 distclean-generic:
612         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
613
614 maintainer-clean-generic:
615         @echo "This command is intended for maintainers to use"
616         @echo "it deletes files that may require special tools to rebuild."
617 clean: clean-recursive
618
619 clean-am: clean-generic clean-libtool mostlyclean-am
620
621 distclean: distclean-recursive
622         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
623         -rm -f Makefile
624 distclean-am: clean-am distclean-generic distclean-hdr \
625         distclean-libtool distclean-tags
626
627 dvi: dvi-recursive
628
629 dvi-am:
630
631 html: html-recursive
632
633 info: info-recursive
634
635 info-am:
636
637 install-data-am:
638
639 install-exec-am:
640
641 install-info: install-info-recursive
642
643 install-man:
644
645 installcheck-am:
646
647 maintainer-clean: maintainer-clean-recursive
648         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
649         -rm -rf $(top_srcdir)/autom4te.cache
650         -rm -f Makefile
651 maintainer-clean-am: distclean-am maintainer-clean-generic
652
653 mostlyclean: mostlyclean-recursive
654
655 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
656
657 pdf: pdf-recursive
658
659 pdf-am:
660
661 ps: ps-recursive
662
663 ps-am:
664
665 uninstall-am: uninstall-info-am
666
667 uninstall-info: uninstall-info-recursive
668
669 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
670         check-am clean clean-generic clean-libtool clean-recursive \
671         ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
672         dist-shar dist-tarZ dist-zip distcheck distclean \
673         distclean-generic distclean-hdr distclean-libtool \
674         distclean-recursive distclean-tags distcleancheck distdir \
675         distuninstallcheck dvi dvi-am html html-am info info-am \
676         install install-am install-data install-data-am install-exec \
677         install-exec-am install-info install-info-am install-man \
678         install-strip installcheck installcheck-am installdirs \
679         installdirs-am maintainer-clean maintainer-clean-generic \
680         maintainer-clean-recursive mostlyclean mostlyclean-generic \
681         mostlyclean-libtool mostlyclean-recursive pdf pdf-am ps ps-am \
682         tags tags-recursive uninstall uninstall-am uninstall-info-am
683
684                 contrib/guess/README \
685                 contrib/guess/guess.lua \
686                 contrib/guess/guess.conf
687 # Tell versions [3.59,3.63) of GNU make to not export all variables.
688 # Otherwise a system limit (for SysV at least) may be exceeded.
689 .NOEXPORT: